
/* ------- basic settings ------- */


body {
  background-image: url("");
  background-color: #ffffff;
  font-family: arial, sans-serif;
  letter-spacing: 1.1px;
  font-size: 11px;
  color: #285c5b;
  display: flex;
  flex-direction: row;
}

body .sidebar {
  background-color: #ffffff;
  font-size: 22px;
  line-height: 33px;
  padding: 0px 22px 22px 22px;
  max-width: 222px;
  width: 100%;
  position: fixed;
}

body .main-content {
  background color: #ffffff;
  text-align: justify;
  text-align-last: right;
  padding: 33px;
  margin-left: 255px;
  margin-right: 22px;
  width: 100%;
}

body .about-content {
  background color: #ffffff;
  text-align: justify;
  text-align-last: left;
  padding: 33px;
  margin-left: 255px;
  margin-right: 22px;
  width: 100%;
}

body .centered-content {
  background color: #ffffff;
  text-align: justify;
  text-align-last: center;
  padding: 33px;
  margin-left: 255px;
  margin-right: 22px;
  width: 100%;
}

img {
  max-width: 100%;
  max-height: auto;
}

a {
  font-family: arial, sans-serif;
  letter-spacing: 1.1 px;
  color: #285c5b;
  text-decoration: none;
}

a:link {
  font-family: arial, sans-serif;
  letter-spacing: 1.1 px;
  color: #285c5b;
  text-decoration: none;
}

a:visited {
  font-family: arial, sans-serif;
  letter-spacing: 1.1 px;
  color: #285c5b;
  text-decoration: none;
}

a:hover {
  font-family: arial, sans-serif;
  letter-spacing: 1.1 px;
  color: #a5b2a9;
  text-decoration: none;
}

a:active {
  font-family: arial, sans-serif;
  letter-spacing: 1.1 px;
  color: #f0ccbd;
  text-decoration: none;
}

fieldset {
  margin: 0px 20px 0px 50px;
  border: 0px;
}

label {
  margin: 5px;
}

input {
  width: 90%;
  margin: 5px;
  padding: 10px;
  font-family: arial, sans-serif;
  letter-spacing: 1.1px;
  font-size: 11px;
  border: solid 1px #285c5b;
  border-radius: 15px;
}

textarea {
  width: 90%;
  margin: 5px;
  padding: 10px;
  font-family: arial, sans-serif;
  letter-spacing: 1.1px;
  font-size: 11px;
  border: solid 1px #285c5b;
  border-radius: 15px;  
}

button {
  background-color: #f0ccbd;
  color: #ffffff;
  margin-left: 10px;
  padding: 11px;
  font-size: 11px;
  border: solid 1px #f0ccbd;
  letter-spacing: 1px;
  border-radius: 15px;
}

button:hover {
  cursor: pointer;
  background-color: #a5b2a9;
  border: solid 1px #a5b2a9;
  border-radius:15px;
}

button:active {
  background-color: #f0ccbd;
  border: solid 1px #f0ccbd;
  border-radius:15px;
}




/* --- granular text + element modification ---- */


.sidebar-text {
  font-size: 11px;
  line-height: 15px;  
}

.page-content {
  background color: #ffffff;
  text-align: right;
  padding: 33px;
  width: 100%;
}

.page-heading {
  font-size: 16px;
  padding: 5px 33px;
} 

.page-heading2 {
  font-size: 16px;
  margin-bottom: -13px;
  padding: 0px 33px;
} 

.page-text {
  padding: 5px 33px;
}

.page-text-sm {
  padding: 5px 33px;
  margin-left: 33%;
}


.highlight {
  color: #f0ccbd;
  text-decoration: none;
}

summary {
  cursor: pointer;
  font-size: 12px;
  color: #a5b2a9;
  padding: 5px 33px;
  display: block;
}

summary:hover {
  color: #f0ccbd;
}

hr {
  height: 1px;
  background-color: transparent;
  border: none;
  color: #285c5b;
  border-color: #285c5b;
  border-top: solid 1px;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.image {
  max-width: 100%;
  max-height: 100%;
  padding: 0.5%;
}

.container-text {
  font-size: 11px;
}




/* ------- index image fade in ------- */


h1 {
  margin: -7px 0px;
  text-align: center;
}

@keyframes fadeInUp {
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0%);
    opacity: 1;
  }
}

.fadeInUp-animation {
  animation: 1.5s fadeInUp;
}




/* ------- slideshow settings ------- */


* {box-sizing: border-box}

.mySlides1, .mySlides2 {
  display: none
}

/* slideshow container */
.slideshow-container {
  max-width: 100%;
  max-height: 100%;
  position: relative;
  margin-left: 77px;
  margin-right: 0px;
}

/* next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 0px;
  color: #285c5b;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}




/* ------- resize for mobile ------- */


@media only screen and (max-width:960px) {
  body {
    background-image: url("");
    background-color: #ffffff;
    font-family: arial, sans-serif;
    letter-spacing: 1.1px;
    font-size: 10px;
    color: #285c5b;
    display: flex;
    flex-direction: row;
  }
  body .sidebar {
    background-color: #ffffff;
    font-size: 14px;
    line-height: 18px;
    padding: 0px 7px 7px 7px;
    max-width: 111px;
    width: 100%;
    position: fixed;
  }
  body .main-content {
    background color: #ffffff;
    text-align: right;
    padding: 0px;
    margin-left: 122px;
    margin-right: 0px;
    width: 100%;
  }
  body .about-content {
    background color: #ffffff;
    text-align: left;
    padding: 0px;
    margin-left: 122px;
    margin-right: 0px;
    width: 100%;
  }
  body .centered-content {
    background color: #ffffff;
    text-align: center;
    padding: 0px;
    margin-left: 122px;
    margin-right: 0px;
    width: 100%;
  }
  h1 {
    margin: 0px 0px;
    text-align: center;
  }
  .page-content {
    background color: #ffffff;
    text-align: right;
    padding: 0px;
    margin-left: 122px;
    width: 100%;
  }
  .page-heading {
    font-size: 12px;
    padding: 3px 11px;
 } 
  .page-heading2 {
    font-size: 12px;
    margin-bottom: -13px;
    padding: 0px 11px;
  } 
  .page-text {
    padding: 3px 11px;
    margin-left: 0px;
  }
  .page-text-sm {
    padding: 5px 11px;
    margin-left: 11%;
  }
  body .centered-content .page-text {
    padding: 3px 11px;
    margin-left: 0px;
  }
  .prof-image {
    max-width: 100%;
    max-height: 100%;
    padding: 0.5%;
    display: none;
  }
  /* slideshow container */
  .slideshow-container {
    max-width: 100%;
    max-height: 100%;
    position: relative;
    margin-left: 0px;
    margin-right: 0px;
  }
  /* next & previous buttons */
  .prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 0px;
    color: #285c5b;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
  }
  fieldset {
    margin: 0px 0px 0px 0px;
    border: 0px;
  }
  summary {
    cursor: pointer;
    font-size: 12px;
    color: #a5b2a9;
    padding: 5px 11px;
    display: block;
  }
}
